Loading...
Searching...
No Matches
XrdPfcDirStateSnapshot.cc File Reference
`#include "XrdPfcDirStateSnapshot.hh"`
`#include "XrdPfcPathParseTools.hh"`
`#include "XrdPfc.hh"`
`#include "XrdPfcTrace.hh"`
`#include "XrdOuc/XrdOucJson.hh"`
`#include "XrdOuc/XrdOucEnv.hh"`
`#include "XrdOss/XrdOss.hh"`
`#include <fstream>`
`#include <sstream>`
`#include <iostream>`
`#include <iomanip>`
`#include <fcntl.h>`
Include dependency graph for XrdPfcDirStateSnapshot.cc:

Go to the source code of this file.

## Namespaces

namespace | XrdPfc

## Macros

#define | PFC_DEFINE_TYPE_NON_INTRUSIVE(Type, ...)

## Functions

m_NDirectories | XrdPfc::PFC_DEFINE_TYPE_NON_INTRUSIVE (DirStateElement, m_dir_name, m_stats, m_usage, m_parent, m_daughters_begin, m_daughters_end) PFC_DEFINE_TYPE_NON_INTRUSIVE(DataFsSnapshot
| XrdPfc::PFC_DEFINE_TYPE_NON_INTRUSIVE (DirStats, m_NumIos, m_Duration, m_BytesHit, m_BytesMissed, m_BytesBypassed, m_BytesWritten, m_StBlocksAdded, m_NCksumErrors, m_StBlocksRemoved, m_NFilesOpened, m_NFilesClosed, m_NFilesCreated, m_NFilesRemoved, m_NDirectoriesCreated, m_NDirectoriesRemoved) PFC_DEFINE_TYPE_NON_INTRUSIVE(DirUsage

## Variables

m_NDirectories | XrdPfc::m_disk_total
m_NDirectories | XrdPfc::m_disk_used
m_NDirectories | XrdPfc::m_file_usage
| XrdPfc::m_LastCloseTime
| XrdPfc::m_LastOpenTime
m_NDirectories | XrdPfc::m_meta_total
m_NDirectories | XrdPfc::m_meta_used
| XrdPfc::m_NFiles
| XrdPfc::m_NFilesOpen
m_NDirectories | XrdPfc::m_sshot_stats_reset_time
| XrdPfc::m_StBlocks
m_NDirectories | XrdPfc::m_usage_update_time

## Macro Definition Documentation

## PFC_DEFINE_TYPE_NON_INTRUSIVE

#define PFC_DEFINE_TYPE_NON_INTRUSIVE | ( |  | Type,
|  |  | ... )

Value:
inline void to_json(nlohmann::json &nlohmann_json_j, const Type &nlohmann_json_t) { \
NLOHMANN_JSON_EXPAND(NLOHMANN_JSON_PASTE(NLOHMANN_JSON_TO, __VA_ARGS__)) \
} \
inline void from_json(const nlohmann::json &nlohmann_json_j, Type &nlohmann_json_t) { \
NLOHMANN_JSON_EXPAND(NLOHMANN_JSON_PASTE(NLOHMANN_JSON_FROM, __VA_ARGS__)) \
} \
inline void to_json(nlohmann::ordered_json &nlohmann_json_j, const Type &nlohmann_json_t) { \
NLOHMANN_JSON_EXPAND(NLOHMANN_JSON_PASTE(NLOHMANN_JSON_TO, __VA_ARGS__)) \
} \
inline void from_json(const nlohmann::ordered_json &nlohmann_json_j, Type &nlohmann_json_t) { \
NLOHMANN_JSON_EXPAND(NLOHMANN_JSON_PASTE(NLOHMANN_JSON_FROM, __VA_ARGS__)) \
}

Definition at line 18 of file XrdPfcDirStateSnapshot.cc.

#define PFC_DEFINE_TYPE_NON_INTRUSIVE(Type, ...) \
inline void to_json(nlohmann::json &nlohmann_json_j, const Type &nlohmann_json_t) { \
NLOHMANN_JSON_EXPAND(NLOHMANN_JSON_PASTE(NLOHMANN_JSON_TO, __VA_ARGS__)) \
} \
inline void from_json(const nlohmann::json &nlohmann_json_j, Type &nlohmann_json_t) { \
NLOHMANN_JSON_EXPAND(NLOHMANN_JSON_PASTE(NLOHMANN_JSON_FROM, __VA_ARGS__)) \
} \
inline void to_json(nlohmann::ordered_json &nlohmann_json_j, const Type &nlohmann_json_t) { \
NLOHMANN_JSON_EXPAND(NLOHMANN_JSON_PASTE(NLOHMANN_JSON_TO, __VA_ARGS__)) \
} \
inline void from_json(const nlohmann::ordered_json &nlohmann_json_j, Type &nlohmann_json_t) { \
NLOHMANN_JSON_EXPAND(NLOHMANN_JSON_PASTE(NLOHMANN_JSON_FROM, __VA_ARGS__)) \
}